Skip to main content
`Ctrl`+`K`
scipy.spatial.distance.

# sokalsneath

scipy.spatial.distance.sokalsneath(u, v, w=None)

  Compute the Sokal-Sneath dissimilarity between two boolean 1-D arrays.

  The Sokal-Sneath dissimilarity between u and v,

  \[\frac{R} {c_{TT} + R}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\) and \(R = 2(c_{TF} + c_{FT})\).

  Parameters:
    u(N,) array_like, bool

      Input array.

    v(N,) array_like, bool

      Input array.

    w(N,) array_like, optional

      The weights for each value in u and v. Default is None, which gives each value a weight of 1.0

  Returns:
    sokalsneath double

      The Sokal-Sneath dissimilarity between vectors u and v.

  Examples

      >>> from scipy.spatial import distance
      >>> distance.sokalsneath([1, 0, 0], [0, 1, 0])
      1.0
      >>> distance.sokalsneath([1, 0, 0], [1, 1, 0])
      0.66666666666666663
      >>> distance.sokalsneath([1, 0, 0], [2, 1, 0])
      0.0
      >>> distance.sokalsneath([1, 0, 0], [3, 1, 0])
      -2.0